/*******************************************************************************
 
  $Id: DictionaryFile.h,v 1.1 1997/10/05 06:38:44 eug Exp eug $

  (C)Copyright 1997 by Eugene Surovegin <ebs@glasnet.ru>

  Header for DictionaryFile.Cpp

*******************************************************************************/
#ifndef __DICTIONARYFILE_H__
#define __DICTIONARYFILE_H__

#include "ErrorLog.h"

class CDictionaryFile {
  
  private:
    HANDLE    hFile;
    HANDLE    hMap;
    char      *ptr;
    DWORD     dwSize;  
    CErrorLog log;

  public:
    CDictionaryFile(): hFile(INVALID_HANDLE_VALUE), hMap(NULL),
      ptr(NULL), dwSize(0) {};
    
    bool  MapFile(void);
    void  UnMapFile(void);
    bool  LookUpPassword(const char *);
};

#endif